### Method

# Gtk TreeSelection selected_foreach

#### Declaration [src]

    void
    gtk_tree_selection_selected_foreach (
      GtkTreeSelection* selection,
      GtkTreeSelectionForeachFunc func,
      gpointer data
    )

#### Description [src]

Calls a function for each selected node. Note that you cannot modify the tree or selection from within this function. As a result, gtk_tree_selection_get_selected_rows() might be more useful.

#### Parameters

`func` | `GtkTreeSelectionForeachFunc`
| The function to call for each selected node.
`data` | `gpointer`
| User data to pass to the function.